;**********************************************************
;*  ornek877.ASM
;**********************************************************
;*  Tuncay UZUN
;*  20 Aralk 2002
;*  MPASM V3.20 ile windows98 de derlenmitir.
;**********************************************************
;*  Bu program B portunu k olarak koullandrr ve
;*  RB1'e bal LED i zamanlaycy kullanarak belirli
;*  zaman aralklar ile yakar ve sndrr.
;*  Bu zaman aralklar program iindeki belirli balang
;*  satrlarndaki deerler deitirilerek deitirilebilir.
;**********************************************************

	list p=16f877
	__CONFIG _CP_OFF & _WDT_OFF & _BODEN_OFF & _PWRTE_ON & _XT_OSC & _WRT_ENABLE_ON & _LVP_OFF & _DEBUG_OFF & _CPD_OFF 

	; mikrodenetleyiciye zel, gerekli tanmlarn bulunduu
	; ek dosya, eer kendi tanmlarnz kullanyorsanz deitirebilirsiniz.
	include "p16f877.inc"

saya	equ	0x20
sets1	equ	0x14
sets0	equ	0x14

	; reset vektr ile bala (0000h)
	org	0x000
	goto	Bala

	org	0x9
Bala
	banksel OPTION_REG

	movlw	B'10000111'	;TMR0 n lekleme, 1:256
	movwf	OPTION_REG

	movlw	B'00001110'	;sonucu sola yasla,1 rneksel kanal kullan
	movwf	ADCON1		;referans gerilimi olarak VDD ve VSS kullan

	banksel TRISB
	clrf	TRISB		;PORTB btnyle k
	banksel PORTB
ana
	movlw	sets1
	movwf	saya
Main
	btfss	INTCON,T0IF	;0.Zamanlaycnn zaman amn bekle
	goto	Main
	bcf	INTCON,T0IF
	decfsz	saya,1
	goto	Main
	bsf	PORTB,1

	movlw	sets0
	movwf	saya
Main1
	btfss	INTCON,T0IF	;0.Zamanlaycnn zaman amn bekle
	goto	Main1
	bcf	INTCON,T0IF
	decfsz	saya,1
	goto	Main1
	bcf	PORTB,1

	goto	ana

	end
